Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
net::WlanInfo Struct Reference

WLAN interface info. More...

`import <Net.idl;`

## Public Attributes
boolean | associated
| `true` if assoiated to an access point
string | ssid
| SSID of the wireless network.
string | bssid
| BSSID of associated access point.
int | channel
| Channel number.
WlanChannelWidth | channelWidth
| Channel width (this is an id and no frequency!)

## Detailed Description

WLAN interface info.

Definition at line 297 of file Net.idl.

## Member Data Documentation

## ◆ associated

boolean net::WlanInfo::associated

`true` if assoiated to an access point

Definition at line 298 of file Net.idl.

## ◆ bssid

string net::WlanInfo::bssid

BSSID of associated access point.

Definition at line 300 of file Net.idl.

## ◆ channel

int net::WlanInfo::channel

Channel number.

Definition at line 301 of file Net.idl.

## ◆ channelWidth

WlanChannelWidth net::WlanInfo::channelWidth

Channel width (this is an id and no frequency!)

Definition at line 302 of file Net.idl.

## ◆ ssid

string net::WlanInfo::ssid

SSID of the wireless network.

Definition at line 299 of file Net.idl.

The documentation for this struct was generated from the following file:

- Net.idl